Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2760)
+++ admin/_charte.php	(revision 3355)
@@ -79,6 +79,6 @@
 	<div id="wrapper" class="clearfix">
 		<div class="hidden-if-no-js collapser-box"><a href="#" id="collapser">
-		<img class="collapse-mm" src="images/collapser-hide.png" alt="Cacher le menu" />
-		<img class="expand-mm" src="images/collapser-show.png" alt="Montrer le menu" />
+		<img class="collapse-mm visually-hidden" src="images/collapser-hide.png" alt="Cacher le menu" />
+		<img class="expand-mm visually-hidden" src="images/collapser-show.png" alt="Montrer le menu" />
 		</a></div>
 		<div id="main">
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 3270)
+++ admin/blog_pref.php	(revision 3330)
@@ -313,4 +313,9 @@
 
 $desc_editor = $core->auth->getOption('editor');
+$rte_flag = true;
+$rte_flags  = @$core->auth->user_prefs->interface->rte_flags;
+if (is_array($rte_flags) && in_array('blog_descr',$rte_flags)) {
+	$rte_flag = $rte_flags['blog_descr'];
+}
 
 dcPage::open(__('Blog settings'),
@@ -324,7 +329,6 @@
 	"</script>".
 	dcPage::jsConfirmClose('blog-form').
-	$core->callBehavior('adminPostEditor',$desc_editor['xhtml'],'blog_desc',array('#blog_desc'),'xhtml').
+	($rte_flag ? $core->callBehavior('adminPostEditor',$desc_editor['xhtml'],'blog_desc',array('#blog_desc'),'xhtml') : '').
 	dcPage::jsLoad('js/_blog_pref.js').
-
 
 	# --BEHAVIOR-- adminBlogPreferencesHeaders
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 3210)
+++ admin/categories.php	(revision 3340)
@@ -47,5 +47,5 @@
 		$mov_cat = (int) $_POST['mov_cat'][$cat_id];
 
-		$mov_cat = $mov_cat ? $mov_cat : null;
+		$mov_cat = $mov_cat ?: null;
 		if ($mov_cat !== null) {
 			$c = $core->blog->getCategory($mov_cat);
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 3209)
+++ admin/category.php	(revision 3330)
@@ -175,9 +175,14 @@
 
 $category_editor = $core->auth->getOption('editor');
+$rte_flag = true;
+$rte_flags  = @$core->auth->user_prefs->interface->rte_flags;
+if (is_array($rte_flags) && in_array('cat_descr',$rte_flags)) {
+	$rte_flag = $rte_flags['cat_descr'];
+}
 
 dcPage::open($title,
 	dcPage::jsConfirmClose('category-form').
 	dcPage::jsLoad('js/_category.js').
-	$core->callBehavior('adminPostEditor',$category_editor['xhtml'],'category',array('#cat_desc'),'xhtml'),
+	($rte_flag ? $core->callBehavior('adminPostEditor',$category_editor['xhtml'],'category',array('#cat_desc'),'xhtml') : ''),
 	dcPage::breadcrumb($elements)
 );
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 3263)
+++ admin/comments.php	(revision 3360)
@@ -43,7 +43,14 @@
 __('Date') => 'comment_dt',
 __('Entry title') => 'post_title',
+__('Entry date') => 'post_dt',
 __('Author') => 'comment_author',
 __('Status') => 'comment_status'
 );
+
+$sortby_lex = array(
+	// key in sorty_combo (see above) => field in SQL request
+	'post_title' => 'post_title',
+	'comment_author' => 'comment_author',
+	'comment_spam_filter' => 'comment_spam_filter');
 
 $order_combo = array(
@@ -133,6 +140,11 @@
 # Sortby and order filter
 if ($sortby !== '' && in_array($sortby,$sortby_combo)) {
+	if (array_key_exists($sortby,$sortby_lex)) {
+		$params['order'] = $core->con->lexFields($sortby_lex[$sortby]);
+	} else {
+		$params['order'] = $sortby;
+	}
 	if ($order !== '' && in_array($order,$order_combo)) {
-		$params['order'] = $sortby.' '.$order;
+		$params['order'] .= ' '.$order;
 	} else {
 		$order = 'desc';
Index: admin/csp_report.php
===================================================================
--- admin/csp_report.php	(revision 3293)
+++ admin/csp_report.php	(revision 3324)
@@ -8,6 +8,8 @@
 header('X-Content-Type-Options: "nosniff"');
 
+require dirname(__FILE__).'/../inc/admin/prepend.php';
+
 // Specify log file
-define('LOGFILE',dirname(__FILE__).'/csp_report.txt');
+define('LOGFILE',path::real(DC_TPL_CACHE).'/csp_report.txt');
 
 // Get the raw POST data
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 3303)
+++ admin/install/index.php	(revision 3326)
@@ -172,4 +172,5 @@
 		# CSP directive (admin part)
 		$blog_settings->system->put('csp_admin_on',true,'boolean','Send CSP header (admin)',true,true);
+		$blog_settings->system->put('csp_admin_report_only',false,'boolean','CSP Report only violations (admin)',true,true);
 		$blog_settings->system->put('csp_admin_default',"'self'",'string','CSP default-src directive',true,true);
 		$blog_settings->system->put('csp_admin_script',"'self' 'unsafe-inline' 'unsafe-eval'",'string','CSP script-src directive',true,true);
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 3182)
+++ admin/js/_media.js	(revision 3369)
@@ -65,5 +65,6 @@
 				downloadTemplate: template_download
 			}).bind('fileuploadadd', function(e, data) {
-				$('.button.cancel','#fileupload .fileupload-buttonbar').show();
+				$('.button.cancel').css('display','inline-block');
+				$('#fileupload .fileupload-buttonbar').show();
 				enableButton($('.button.start','#fileupload .fileupload-buttonbar'));
 			}).bind('fileuploadadded', function(e, data) {
@@ -74,5 +75,6 @@
 					$('#form-medias .hide').removeClass('hide');
 				}
-				$('.button.clean',me).show();
+				$('.button.clean').css('display','inline-block');
+				$(me).show();
 			}).bind('fileuploadalways', function(e, data) {
 				displayMessageInQueue($('.files .template-upload',me).length);
@@ -113,7 +115,10 @@
 					label = dotclear.jsUpload.msg.choose_files;
 					$('#upfile').attr('multiple', true);
-					var startButton = $('.button.start','#fileupload .fileupload-buttonbar');
+					var startButton = $('.button.start');
+					var buttonBar = $('#fileupload .fileupload-buttonbar');
 					disableButton(startButton);
-					startButton.show();
+					disableButton(buttonBar);
+					startButton.css('display','inline-block');
+					buttonBar.show();
 					$(me).fileupload({disabled:false});
 					$('.queue-message',me).show();
@@ -148,4 +153,7 @@
 	});
 
+	// Preview media
+	$('.modal-image').magnificPopup({ type:'image' });
+
 	// attach media
 	$('#form-medias').on('click', '.media-item .attach-media', function(e) {
Index: admin/js/_media_item.js
===================================================================
--- admin/js/_media_item.js	(revision 2454)
+++ admin/js/_media_item.js	(revision 3369)
@@ -7,4 +7,7 @@
 		post_dtPick.draw();
 	}
+
+	// Preview media
+	$('.modal-image').magnificPopup({ type:'image' });
 
 	// Display zip file content
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 3241)
+++ admin/js/_post.js	(revision 3368)
@@ -63,5 +63,16 @@
 		if (window.location.protocol == $preview_url.substring(0,window.location.protocol.length)) {
 			// Open preview in a modal iframe
-			$('#post-preview').modalWeb($(window).width()-40,$(window).height()-40);
+			$('#post-preview').magnificPopup({
+				type:'iframe',
+				iframe: {
+					patterns: {
+						dotclear: {
+							index: $preview_url,
+							id: 1,
+							src: $preview_url
+						}
+					}
+				}
+			});
 		} else {
 			// Open preview on antother window
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 3294)
+++ admin/js/common.js	(revision 3332)
@@ -604,6 +604,7 @@
         });
 
-        $('#gototop').click(function() {
+        $('#gototop').click(function(e) {
             $('body,html').animate({scrollTop:0},800);
+            e.preventDefault();
         });
 });
